package storage

import (
	"time"

	"gorm.io/gorm"
)

// Describes a custom attribute field for accounts
type UserInfoField struct {
	gorm.Model       // Can actually just embed this as is here as those are not something directly exposed :3
	Name             string
	Value            string
	LastUrlCheckDate *time.Time // Used if the value is an url to somewhere. Empty if value is not an url
}

// TODO: Add functions to store, load, update and delete these
